import { AccordionBlock as AccordionBlockType } from "@/gql/graphql";
import { Blocks } from "./Blocks";
import { Accordion } from "@/components/general/Accordion";

export const AccordionBlock = ({
  block,
}: {
  block: AccordionBlockType;
}) => {
  return (
    <Accordion heading={block.heading}>
      <Blocks blocks={block.body} />
    </Accordion>
  );
};